MCP Gateway
ApiMcp servers

List server credentials

List all credentials for an MCP server. Returns credentials with masked values; actual credential values are never returned via the API.

GET
/api/v1/servers/{server_id}/credentials

Path Parameters

server_id*string
Formatuuid

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/servers/497f6eca-6276-4993-bfeb-53cbbbba6f08/credentials"
{
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "credential_type": "api_key",
      "masked_value": "string",
      "header_name": "string",
      "prefix": "string",
      "is_required": false,
      "description": "string",
      "created_at": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}